import Box from "@re-flex/styled/Box";
import { styled } from "@re-flex/styles";
import React from "react";
const BackdropBase = styled(Box)(({ open }) => [
    {
        position: "fixed",
        inset: "0",
        backgroundColor: "rgba(0, 0, 0, 0.5)",
        transition: "all .2s ease-in-out",
    },
    { opacity: open ? "1" : "0" },
]);
const Backdrop = ({ children, ...rest }) => {
    return (React.createElement(BackdropBase, { component: "div", role: "dialog", "data-ui-role": "backdrop", onTransitionEnd: console.log, ...rest }, children));
};
export default Backdrop;
