import Box from "@re-flex/styled/Box";
import { styled, useTheme } from "@re-flex/styles";
import clsx from "clsx";
import React from "react";
import Ripple from "../Ripple";
const StyledButtonBase = styled("div", true)({
    cursor: "pointer",
    width: "auto",
    overflow: "hidden",
    position: "relative",
});
const ButtonBase = ({ children, className, rippleEnable = true, ripple = {}, ...rest }) => {
    const { prefix } = useTheme();
    return (React.createElement(StyledButtonBase, { component: Box, "data-role": "button", className: clsx(`${prefix}-btn-base `, className), ...rest },
        children,
        ripple && rippleEnable && React.createElement(Ripple, { ...ripple })));
};
export default ButtonBase;
