import CardHeaderBase from "@re-flex/styled/CardHeader";
import SXBase from "@re-flex/styled/SX";
import Text from "@re-flex/styled/Typography";
import { useTheme } from "@re-flex/styles";
import React from "react";
const CardHeader = ({ avatar, title, subtitle, actions, titleProps = {}, subtitleProps = {}, ...props }) => {
    const { prefix } = useTheme();
    return (React.createElement(CardHeaderBase, { ...props },
        avatar,
        React.createElement(SXBase, { className: prefix + "-card-header-text-group" },
            typeof title === "string" ? (React.createElement(Text, { "data-role": "title", variant: "subtitle2", tag: "h6", ...titleProps }, title)) : (title),
            typeof subtitle === "string" ? (React.createElement(Text, { "data-role": "description", variant: "caption", tag: "span", ...subtitleProps }, subtitle)) : (subtitle)),
        actions));
};
CardHeader.displayName = "Card.Header";
export default CardHeader;
