import CardWrapper from "@re-flex/styled/Card";
import CardContent from "@re-flex/styled/CardContent";
import CardFooter from "@re-flex/styled/CardFooter";
import CardRow from "@re-flex/styled/CardRow";
import { useTheme } from "@re-flex/styles";
import clsx from "clsx";
import React from "react";
import CardHeader from "./CardHeader";
const Card = ({ className, children, ...props }) => {
    const { prefix } = useTheme();
    return (React.createElement(CardWrapper, { className: clsx(`${prefix || "reflex"}-card`, className), ...props }, children));
};
Card.displayName = "Card";
Card.Row = CardRow;
Card.Content = CardContent;
Card.Footer = CardFooter;
Card.Header = CardHeader;
export default Card;
