import StyledCheckbox, { StyledCheckboxInput, } from "@re-flex/styled/Checkbox/";
import { useTheme } from "@re-flex/styles";
import React from "react";
import { SysIconsChecked, SysIconsIndeterminate, SysIconsUnChecked, } from "../SystemIcons";
const Checkbox = ({ size = "md", color = "primary", inputProps, onChange, checked, indeterminate, icon = React.createElement(SysIconsUnChecked, null), iconChecked = React.createElement(SysIconsChecked, null), iconInDeterminate = React.createElement(SysIconsIndeterminate, null), ...rest }) => {
    const theme = useTheme();
    return (React.createElement(StyledCheckbox, { className: theme.prefix + "-checkbox", size: size, checked: !!checked, color: color, ...rest },
        React.createElement(StyledCheckboxInput, { type: "checkbox", ...inputProps, checked: checked, value: String(checked), onChange: (e) => {
                if (onChange)
                    onChange(!checked, e);
                if (inputProps?.onChange)
                    inputProps.onChange(e);
            } }),
        checked ? iconChecked : indeterminate ? iconInDeterminate : icon));
};
export default Checkbox;
