import { css } from "@re-flex/styles";
import React from "react";
import Table from "../../Table";
import DayCell from "../Cells/DayCell";
import { useDatePicker } from "../Context";
const WeekContents = ({ role }) => {
    const { state: { cells, mode, selectedDate }, dateLists, } = useDatePicker();
    const Day = cells?.WeekDay || DayCell;
    return (React.createElement(Table.TBody, null, dateLists.weekList[role].map((week, weekIndex) => (React.createElement(Table.Tr, { key: weekIndex, className: css({ padding: 0 }) }, week.map((day, dayIndex) => (React.createElement(Table.Td, { key: role + "@" + weekIndex + "-" + dayIndex, className: css({
            padding: " 0 !important",
            textAlign: "center",
        }) },
        React.createElement(Day, { day: day, role: role })))))))));
};
export default WeekContents;
