import { Dayjs } from "dayjs";
import React, { MouseEvent } from "react";
import { BoxProps } from "../Box";
import { CellProps } from "./Cells/DayCell";
export declare type Locale = {
    locale: string;
    monthBeforeYear?: boolean;
    yearFormat: string;
    monthFormat?: string;
    quarterFormat?: string;
    today: string;
    now: string;
    backToToday: string;
    ok: string;
    timeSelect: string;
    dateSelect: string;
    weekSelect?: string;
    clear: string;
    month: string;
    year: string;
    previousMonth: string;
    nextMonth: string;
    monthSelect: string;
    yearSelect: string;
    decadeSelect: string;
    dayFormat: string;
    dateFormat: string;
    dateTimeFormat: string;
    previousYear: string;
    nextYear: string;
    previousDecade: string;
    nextDecade: string;
    previousCentury: string;
    nextCentury: string;
    shortWeekDays?: string[];
    shortMonths?: string[];
};
export declare type DatePickerProps = {
    locale?: Locale;
    containerProps?: BoxProps;
    Trigger?: (props?: {
        onClick: (events: MouseEvent<HTMLElement, globalThis.MouseEvent>) => void;
    }) => React.ReactNode;
    embed?: boolean;
    panelType?: "time" | "date" | "week" | "month" | "quarter" | "year" | "decade";
    type?: "calendar" | "picker";
    mode?: "range" | "default";
    onSelectDate?: (date: Dayjs | Dayjs[], events: MouseEvent<HTMLButtonElement>) => void;
    today?: Dayjs;
    previewDate: Dayjs[];
    selectedDate: Dayjs[];
    dateMarks?: Map<string, Dayjs[]>;
    cells?: {
        Header: () => React.ReactNode;
        WeekDay: (cellProps: CellProps) => React.ReactNode;
    };
};
declare type dateLists = {
    dayNames: string[];
    weekList: {
        first: Dayjs[][];
        last: Dayjs[][];
    };
    monthList: string[];
    yearList: number[];
};
declare type controlTypes = {
    prevWeek: (index: number) => void;
    nexvWeek: (index: number) => void;
    prevMonth: (index: number) => void;
    nextMonth: (index: number) => void;
    prevYear: (index: number) => void;
    nextYear: (index: number) => void;
};
export declare const DatePickerProvider: React.FC<DatePickerProps>;
export declare const useDatePicker: () => {
    dateLists: dateLists;
    controls: controlTypes;
    state: DatePickerProps;
    onChangeSelectedDate: (day1: Dayjs) => void;
    setState: (f: any) => void;
};
export {};
