import { fastMemoize } from "@re-flex/utils";
import dayjs from "dayjs";
import times from "./times";
const generateDateRows = (date) => {
    const year = date.year();
    const daysInMonth = date.daysInMonth();
    const rows = [[]];
    let rowIndex = 0;
    times(daysInMonth, (num) => {
        const temp = dayjs(new Date(year, date.month(), num + 1));
        const dow = temp.day();
        rows[rowIndex].push(temp);
        if (dow === 6 && num !== daysInMonth - 1) {
            rowIndex += 1;
            rows.push([]);
        }
    });
    const rowLen = rows.length;
    const firstRow = rows[0];
    if (firstRow.length !== 7) {
        const backfillBy = 7 - firstRow.length;
        const first = firstRow[0];
        times(backfillBy, (num) => {
            const d = first.clone().startOf("week").add(num, "day");
            firstRow.splice(num, 0, d);
        });
    }
    const lastRow = rows[rowLen - 1];
    if (lastRow.length !== 7) {
        const fillBy = 7 - lastRow.length;
        const lastLen = lastRow.length;
        const last = lastRow[lastLen - 1];
        times(fillBy, (num) => {
            const d = last.clone().add(num + 1, "day");
            lastRow.push(d);
        });
    }
    return rows;
};
export default fastMemoize(generateDateRows);
