import { StyledBoxProps } from "@re-flex/styled/Box";
import { BreakPointsKeys } from "@re-flex/styles";
import React from "react";
declare type actionTypes = {
    onOpen: (e: void) => void;
    onClose: (e: void) => void;
};
declare type DialogProps = {
    duration?: number;
    radius?: number;
    fullScreen?: boolean;
    enableCloseIcon?: boolean;
    containerProps?: StyledBoxProps;
    role?: "dialog" | "drawer";
    position?: "absolute" | "fixed";
    placement?: "left" | "right" | "top" | "bottom";
    header?: (props: any) => React.ReactNode;
    headerProps?: StyledBoxProps;
    content?: (props: any) => React.ReactNode;
    contentProps?: StyledBoxProps;
    footer?: (props: actionTypes) => React.ReactNode;
    footerProps?: StyledBoxProps;
    maxWidth: BreakPointsKeys;
    fullWidth?: boolean;
};
declare const Dialog: React.FC<DialogProps>;
export default Dialog;
