import React, { CSSProperties } from "react";
declare type RowProps = {
    columns?: CSSProperties["gridTemplateColumns"] | number;
    gap?: CSSProperties["gap"];
    columnGap?: CSSProperties["columnGap"];
    rowGap?: CSSProperties["rowGap"];
    height?: CSSProperties["height"];
    minRowHeight?: CSSProperties["height"];
    flow?: CSSProperties["flexFlow"];
    rows?: CSSProperties["gridTemplateRows"] | number;
    areas?: CSSProperties["gridTemplateAreas"] | number[];
    justifyContent?: CSSProperties["justifyContent"];
    alignContent?: CSSProperties["alignContent"];
    display?: "grid" | "flex";
};
declare type ColProps = {
    width?: number;
    height?: number;
    top?: number | string;
    left?: number | string;
    middle?: boolean;
    align?: "left" | "center" | "right";
    area?: string;
    xs?: number;
    sm?: number;
    md?: number;
    lg?: number;
    xl?: number;
};
declare type GridProps = RowProps & {};
interface GridSubComponents {
    Col: React.FC<ColProps>;
}
declare const Grid: React.FC<GridProps> & GridSubComponents;
declare type GridColProps = ColProps & {};
export declare const Col: React.FC<GridColProps>;
export default Grid;
