import StyledListItem from "@re-flex/styled/ListItem";
import { styled, useTheme } from "@re-flex/styles";
import clsx from "clsx";
import React from "react";
import Ripple from "../Ripple";
import Text from "../Typography";
const ListItemContent = styled("div")(() => ({
    flexGrow: 1,
    display: "flex",
    flexDirection: "column",
}));
const ListItemLeftContent = styled("div")({
    marginRight: "1rem",
    zIndex: 9,
    svg: { fontSize: "20px" },
});
const ListItemRightContent = styled("div")({
    marginLeft: "1rem",
    zIndex: 9,
    svg: { fontSize: "20px" },
});
const ListItem = ({ children, className, colorDepth = "main", leftItem, rightItem, size, title, description, button, sx = {}, ref, ...rest }) => {
    const theme = useTheme();
    return (React.createElement(StyledListItem, { component: "li", className: clsx(theme.prefix + "-list-item", className), colorDepth: colorDepth, size: size, sx: sx, button: button, ...rest },
        leftItem && (React.createElement(ListItemLeftContent, { className: theme.prefix + "-list-item-left-content" }, leftItem)),
        React.createElement(ListItemContent, { className: theme.prefix + "-list-item-content" },
            React.createElement(Text, { variant: button ? "button" : "subtitle2", component: "span", sx: { marginBottom: Boolean(description) && 1 } }, title),
            description && (React.createElement(Text, { variant: "caption", component: "span" }, description))),
        rightItem && (React.createElement(ListItemRightContent, { className: theme.prefix + "-list-item-right-content" }, rightItem)),
        button && React.createElement(Ripple, { enableHover: true })));
};
export default ListItem;
