import { styledFlex } from "@re-flex/styles";
import React from "react";
import Backdrop from "../Backdrop";
import Portal from "../Portal";
const StyledModal = styledFlex("div")(({ theme }) => ({
    position: "fixed",
    inset: "0",
    display: "flex",
    alignItems: "center",
    justifyContent: "center",
    zIndex: theme.zIndex.modal,
}));
const Modal = ({ children, open, onClose, disablePortal, onClosed, duration = 200, }) => {
    return (React.createElement(Portal, { open: open !== null, disable: disablePortal },
        React.createElement(StyledModal, null,
            React.createElement(Backdrop, { open: open, onClick: () => {
                    onClose(false);
                    console.log("closing");
                    let timeout = setTimeout(() => {
                        onClosed();
                        clearTimeout(timeout);
                    }, duration);
                } }),
            children)));
};
export default Modal;
