import NavigationWrapper from "@re-flex/styled/Navigation";
import React, { Fragment, useMemo } from "react";
import NavigationItem from "./Item";
const Navigation = ({ children, index, onChangeIndex, fullWidth, ...props }) => {
    const generatedChildren = useMemo(() => {
        return React.Children.map(children, (child, childIndex) => (React.createElement(Fragment, null, React.cloneElement(child, {
            fullWidth,
            active: childIndex === index,
            onClick: () => typeof onChangeIndex === "function" && onChangeIndex(childIndex),
        }, null))));
    }, [children]);
    return (React.createElement(NavigationWrapper, { ...props }, generatedChildren));
};
Navigation.Action = NavigationItem;
export default Navigation;
