import React, { cloneElement, } from "react";
const PopupState = ({ trigger, children }) => {
    const [open, setOpen] = React.useState(null);
    const [attachTo, setAttachTo] = React.useState(null);
    const handleClick = (event) => {
        setAttachTo(event.currentTarget);
        setOpen((previousOpen) => !previousOpen);
    };
    const canBeOpen = open && Boolean(attachTo);
    const handleClosed = () => {
        setAttachTo(null);
        setOpen(null);
    };
    const onClose = () => setOpen(false);
    const triggerProps = {
        onClick: canBeOpen ? onClose : handleClick,
        onTouchMove: canBeOpen ? onClose : handleClick,
        open: canBeOpen,
    };
    const childProps = {
        open,
        attachTo,
        onClose,
        onClickAway: onClose,
        onClosed: handleClosed,
    };
    return (React.createElement(React.Fragment, null,
        typeof trigger === "function"
            ? trigger(triggerProps)
            : cloneElement(trigger, triggerProps),
        typeof children === "function"
            ? children(childProps)
            : cloneElement(children, childProps)));
};
export default PopupState;
