import StyledRadio, { StyledRadioInput, } from "@re-flex/styled/Radio";
import { useTheme } from "@re-flex/styles";
import React, { memo } from "react";
const BaseSVG = memo(({ children, strokeWidth = 0 }) => (React.createElement("svg", { stroke: "currentColor", fill: "currentColor", strokeWidth: strokeWidth, viewBox: "0 0 24 24", height: "1em", width: "1em", xmlns: "http://www.w3.org/2000/svg" }, children)));
const Radio = ({ size = "md", color = "primary", inputProps, onChange, checked, indeterminate, ...rest }) => {
    const theme = useTheme();
    return (React.createElement(StyledRadio, { className: theme.prefix + "-radio", size: size, checked: !!checked, color: color, ...rest },
        React.createElement(BaseSVG, null,
            React.createElement("path", { d: "M12 2C6.48 2 2 6.48 2 12s4.48 10 10 10 10-4.48 10-10S17.52 2 12 2zm0 18c-4.42 0-8-3.58-8-8s3.58-8 8-8 8 3.58 8 8-3.58 8-8 8z" }),
            React.createElement("path", { className: "radio-center-icon", d: "M8.465 8.465C9.37 7.56 10.62 7 12 7C14.76 7 17 9.24 17 12C17 13.38 16.44 14.63 15.535 15.535C14.63 16.44 13.38 17 12 17C9.24 17 7 14.76 7 12C7 10.62 7.56 9.37 8.465 8.465Z" })),
        React.createElement(StyledRadioInput, { type: "radio", checked: !!checked, value: String(checked), onChange: (e) => {
                if (!!onChange)
                    onChange(e.currentTarget.checked, e);
                if (!!inputProps?.onChange)
                    inputProps.onChange(e);
            }, ...inputProps })));
};
export default Radio;
