import React from "react";
import { InputProps } from "../TextField";
declare type SelectInputProps = Partial<HTMLElement> & {
    onChange?: (...values: any) => void;
    value?: any | any[];
    fullWidth?: boolean;
};
interface ListItemSource {
    key?: string;
    title: React.ReactNode;
    value: any;
    prefixIcon?: React.ReactNode;
    description?: React.ReactNode;
}
declare type Props = {
    onChange?: (values: any | any[]) => void;
    value?: any | any[];
    mode?: "single" | "multiple";
    variant?: "autocomplete" | "select";
    previewType?: "text" | "chip";
    renderInput?: (props: SelectInputProps) => React.ReactNode;
    renderValue?: (values: ListItemSource, k: number) => React.ReactNode;
    inputProps?: InputProps;
    fieldKeyName?: string;
    renderListItem: (property: ListItemSource) => React.ReactNode;
    dataSource: ListItemSource[];
    renderSeperator?: React.ReactNode;
};
declare const Select: React.FC<Props>;
export default Select;
