import StyledStack from "@re-flex/styled/Stack";
import React, { useMemo } from "react";
const Stack = ({ children, divider, ...props }) => {
    const weldChildren = () => {
        const childArray = React.Children.toArray(children);
        const count = React.Children.count(children);
        let newChildArray = [];
        childArray.forEach((child, index) => {
            newChildArray.push(child);
            if (index !== count - 1) {
                newChildArray.push(divider);
            }
        });
        return newChildArray;
    };
    const modifiedChildren = useMemo(() => {
        const isArray = React.Children.count(children) > 0;
        if (isArray && !!divider) {
            return weldChildren();
        }
        return children;
    }, [children, divider]);
    return React.createElement(StyledStack, { ...props }, modifiedChildren);
};
export default Stack;
