import { TextProps } from "@re-flex/styled/Typography";
import React from "react";
import { Props as ButtonProps } from "../Button";
declare type HeaderItem = {
    icon: () => React.ReactNode;
    title: string | React.ReactNode;
    description?: string | React.ReactNode;
    titleProps?: TextProps;
    descriptionProps?: TextProps;
    buttonProps?: ButtonProps;
};
export declare type StepperActionProps = {
    forward: (to?: number) => void;
    backward: () => void;
    reset: () => void;
    currentIndex: number;
};
declare type contentItem = (props: StepperActionProps) => React.ReactNode;
declare type Props = {
    direction: "horizontal" | "vertical";
    contents: contentItem[];
    headers: HeaderItem[];
    footer?: JSX.Element;
};
declare const Stepper: React.ForwardRefExoticComponent<Props & React.RefAttributes<StepperActionProps>>;
export default Stepper;
