import { styled } from "@re-flex/styles";
import React, { Fragment } from "react";
export const TextFieldFilledActive = (prefix) => ({
    paddingBottom: "calc(var(--textfield-input-base-padding))",
    "&:focus + label, label:active": {
        color: "var(--textfield-active-color)",
        transform: "translate(calc(var(--textfield-input-base-padding) / 2 * -1),calc(var(--textfield-input-base-padding) * -1)) scale(0.75)",
    },
    "&:focus + label + .text-field-line-ripple": {
        backgroundColor: "rgba(var(--textfield-active-color, black), 0.2)",
        "&::after": {
            left: "0%",
            width: "100%",
            opacity: 1,
            backgroundColor: "var(--textfield-active-color)",
        },
    },
});
const FilledLabel = styled("label")(() => {
    return {
        flex: 1,
        pointerEvents: "none",
        padding: "calc(var(--textfield-input-base-padding)) calc(var(--textfield-input-base-padding) / 2)",
        left: "calc( var(--textfield-adornment-start-width) + var(--textfield-input-base-padding) /   2   )",
        top: "0",
        position: "absolute",
        transition: "color, transform 0.2s ease-in-out",
        color: "rgba(var(--textfield-color), 0.6)",
    };
});
const TextFieldFilledBase = styled("div")(() => {
    return {
        display: "flex",
        position: "absolute",
        right: "0",
        left: "0",
        top: "0",
        bottom: "0",
        width: "100%",
        height: "100%",
        pointerEvents: "none",
        "&::before": {
            content: '" "',
            position: "absolute",
            left: "0",
            right: "0",
            bottom: "0",
            opacity: 0.3,
            height: "1px",
            transition: "all 0.125s cubic-bezier(0.175, 0.385, 0.575, 1)",
            backgroundColor: "var(--textfield-color)",
        },
        "&::after": {
            content: '" "',
            position: "absolute",
            left: "50%",
            right: "0",
            bottom: "0",
            width: "0",
            opacity: 0.3,
            height: "2px",
            transition: "all 0.125s cubic-bezier(0.175, 0.385, 0.575, 1)",
            backgroundColor: "var(--textfield-color)",
        },
    };
});
const TextFieldFilled = ({ label, prefix, children }) => (React.createElement(Fragment, null,
    React.createElement(FilledLabel, null, label),
    children,
    React.createElement(TextFieldFilledBase, { className: "text-field-line-ripple" })));
export default TextFieldFilled;
