import { styled } from "@re-flex/styles";
const InputBase = styled("input")(({ size = "md", variant, theme, ...rest }) => {
    size =
        typeof size === "string"
            ? theme.sizes?.[size] * theme.space - 4 || 1.25
            : size;
    return [
        variant === "standart"
            ? {
                padding: "var(--textfield-input-base-padding) 0 calc(var(--textfield-input-base-padding) / 2)",
            }
            : {
                padding: `${rest?.component === "div" || rest?.component === "button"
                    ? `var(--textfield-padding-y)`
                    : `var(--textfield-padding-y) var(--textfield-padding-x)`}`,
            },
        { backgroundColor: "#0000", caretColor: "#6200ee" },
        { color: theme.palette.text.primary },
        { fontSize: size },
        {
            display: "flex",
            border: "none",
            outline: "none",
            color: `var(--textfield-color,${theme.palette.text.primary})`,
            zIndex: "1",
            MozOsxFontSmoothing: "grayscale",
            WebkitFontSmoothing: "antialiased",
            width: "100%",
            fontWeight: "400",
            letterSpacing: "0.009375em",
            textDecoration: "inherit",
            textTransform: "inherit",
            alignSelf: "flex-end",
            boxSizing: "border-box",
            height: "100%",
            transition: "opacity 0.15s cubic-bezier(0.4, 0, 0.2, 1)",
            borderRadius: "0",
            background: "none",
            appearance: "none",
        },
    ];
});
export default InputBase;
