import { css, styled } from "@re-flex/styles";
import React from "react";
export const TextFieldOutlinedActive = (prefix) => css({
    [`&:focus + .${prefix}-textfield-notched-outline`]: {
        ".leading,  .label, .trailing": {
            borderWidth: "2px",
            borderColor: "var(--textfield-active-color)",
        },
        ".label": {
            borderTopColor: "transparent",
            label: {
                color: "var(--textfield-active-color)",
                transform: "translateY( calc(   var(--textfield-input-base-padding) * -1 -var(--textfield-input-base-padding) * 2 / 4 ) ) scale(0.75)",
            },
        },
    },
});
const TextFieldOutlinedBase = styled("div")(() => ({
    display: "flex",
    position: "relative",
    width: "100%",
    maxWidth: "100%",
    height: "100%",
    pointerEvents: "none",
    ".leading, .label, .label label, .trailing": {
        transition: "border-color 0.1s linear, color 0.1s linear, border-width 0.1s linear",
    },
    ".leading": {
        borderRadius: "4px 0 0 4px",
        border: "1px solid var(--textfield-border-color)",
        borderRight: "none",
        pointerEvents: "none",
        minWidth: "8px",
        width: "var(--textfield-adornment-start-width, 8px)",
    },
    ".label": {
        flex: "0 0 auto",
        width: "auto",
        maxWidth: "calc(100% - 12px * 2)",
        height: "100%",
        borderTop: "1px solid var(--textfield-border-color)",
        borderBottom: "1px solid var(--textfield-border-color)",
        pointerEvents: "none",
        padding: "calc(var(--textfield-input-base-padding)) calc(var(--textfield-input-base-padding) / 2)",
        label: {
            transition: "transform 0.2s ease-in-out",
            color: "rgba(var(--textfield-color), 0.6)",
            display: "inline-block",
            position: "relative",
            maxWidth: "100%",
            transform: "translateY(0)",
        },
    },
    ".trailing": {
        flexGrow: 1,
        borderRadius: "0 4px 4px 0",
        border: "1px solid var(--textfield-border-color)",
        borderLeft: "none",
        height: "100%",
        pointerEvents: "none",
        minWidth: "8px",
        width: "var(--textfield-adornment-end-width, 8px)",
    },
}));
const TextFieldOutlined = ({ label, prefix, children, startAdornment, endAdornment, }) => (React.createElement(TextFieldOutlinedBase, { className: prefix + "-textfield-notched-outline" },
    React.createElement("div", { className: "leading" }, startAdornment),
    React.createElement("div", { className: "label" },
        children,
        React.createElement("label", null, label)),
    React.createElement("div", { className: "trailing" }, endAdornment)));
export default TextFieldOutlined;
