import { StyledBoxProps as BoxProps } from "@re-flex/styled/Box";
import { ComponentSizeMultipler } from "@re-flex/styles";
import React from "react";
export declare type InputProps = BoxProps & {
    fieldProps?: BoxProps;
    variant?: "outlined" | "filled" | "standart";
    startAdornment?: React.ReactNode;
    endAdornment?: React.ReactNode;
    tag?: "div" | "input" | "textarea" | "button";
    size?: ComponentSizeMultipler;
    label?: string;
    readOnly?: boolean;
    disabled?: boolean;
    value?: string | number | boolean;
    onChange?: React.ChangeEventHandler<HTMLInputElement>;
    onFocus?: React.FocusEventHandler<HTMLInputElement>;
    onBlur?: React.FocusEventHandler<HTMLInputElement>;
    inputProps?: HTMLInputElement;
    name?: HTMLInputElement["name"];
    type?: HTMLInputElement["type"];
    htmlFor?: string;
    wrapperClassName?: string;
    fullWidth?: boolean;
    required?: boolean;
    error?: boolean;
    helperText?: string;
    defaultValue?: string | number;
    defaultChecked?: boolean;
};
declare const TextField: React.FC<InputProps>;
export default TextField;
