import { Middleware, Placement } from "@floating-ui/react-dom";
import { StyledBoxProps } from "@re-flex/styled/Box";
import React from "react";
declare const Tooltip: React.FC<TooltipProps>;
interface TooltipProps {
    arrow?: boolean;
    duration?: number;
    disablePortal?: boolean;
    keepMounted?: boolean;
    portalContainer?: HTMLElement;
    modifiers?: Middleware[];
    placement?: Placement;
    trigger?: "hover" | "default";
    popperOptions?: object;
    popperRef?: React.Ref<{
        open: () => void;
        close: () => void;
    }>;
    transition?: boolean;
    paperProps?: StyledBoxProps;
    content?: ({ isVisible, onHide, }: {
        isVisible: boolean;
        onHide: () => void;
    }) => React.ReactNode | React.ReactNode;
    onClickAway?: (event: MouseEvent | TouchEvent) => void;
    open: boolean;
    onOpen: (e: MouseEvent | TouchEvent) => void;
    onClose: () => void;
    attachTo?: React.ReactElement<HTMLElement>;
}
export default Tooltip;
