import { CSSAttribute } from "@re-flex/styles";
import React from "react";
declare type animationObjectType = {
    [key: string]: number | string;
};
export declare type animationListType = {
    [key: string]: animationObjectType;
};
export declare type animationInOutType = {
    from?: animationObjectType;
    to?: animationObjectType;
} | animationListType;
export declare type animationType = {
    in?: animationInOutType;
    out: animationInOutType;
};
export declare type TransitionProps = {
    animation?: animationType;
    defaultStyle: CSSAttribute;
    from: CSSAttribute;
    to: CSSAttribute;
    duration?: number;
    delay?: number | string;
    onEnd?: (...e: any) => void;
    in?: boolean | null;
    className?: string;
};
export declare type Ref = HTMLDivElement;
declare const Transition: React.FC<TransitionProps>;
export default Transition;
